dvl-flashes [![version]](http://rubygems.org/gems/dvl-flashes) [![build_status]](https://circleci.com/gh/dobtco/dvl-flashes)
====

Flash alerts for the DOBT View Layer.

## Usage

### Gemfile

```
gem 'dvl-flashes'
```

### assets/javascripts/application.css.scss

```
@import 'dvl/flashes';
```

### assets/javascripts/application.js

```
//= require dvl/flashes
```

### layouts/application.rb

```
widget Dvl::Flashes::Views::Flashes.new(flash: flash)
```

### Javascript API

```
DvlFlash('error', 'An error occured...');
```

## Screenshots

### Error

![screenshot_error]

### Success

![screenshot_success]

### Info

![screenshot_info]

### Mobile

![screenshot_mobile]

## Development

1. `script/bootstrap`
2. `script/preview`
3. Open [http://localhost:4567](http://localhost:4567) in your web browser

## License

[MIT](http://dobtco.mit-license.org/)

[version]: https://img.shields.io/gem/v/dvl-flashes.svg
[build_status]: https://circleci-badges.herokuapp.com/dobtco/dvl-flashes/cfb22255e126bd760d2bafdfba40ffbac7786f30
[screenshot_error]: http://artifinder.herokuapp.com/gh/dobtco/dvl-flashes/x/artifacts/0/home/ubuntu/dvl-flashes/screenshots/error.png
[screenshot_success]: http://artifinder.herokuapp.com/gh/dobtco/dvl-flashes/x/artifacts/0/home/ubuntu/dvl-flashes/screenshots/success.png
[screenshot_info]: http://artifinder.herokuapp.com/gh/dobtco/dvl-flashes/x/artifacts/0/home/ubuntu/dvl-flashes/screenshots/info.png
[screenshot_mobile]: http://artifinder.herokuapp.com/gh/dobtco/dvl-flashes/x/artifacts/0/home/ubuntu/dvl-flashes/screenshots/error_mobile.png
